Skip to content

convertQuoteToOrder

WRITE

Convert quote to order.

POST /api/v1/sales/convertQuoteToOrder
curl -X POST '<your-host>/api/v1/sales/convertQuoteToOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "selectedLines": {}
  }'
Response
{
  "convertedId": "string"
}

Parameters

ParameterType
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "selectedLines": {
      "type": "object",
      "propertyNames": {
        "type": "string"
      },
      "additionalProperties": {
        "type": "object",
        "properties": {
          "addOn": {
            "type": "number"
          },
          "convertedAddOn": {
            "type": "number"
          },
          "taxableAddOn": {
            "type": "number"
          },
          "convertedTaxableAddOn": {
            "type": "number"
          },
          "convertedNetUnitPrice": {
            "type": "number"
          },
          "convertedShippingCost": {
            "type": "number"
          },
          "leadTime": {
            "type": "number"
          },
          "netUnitPrice": {
            "type": "number"
          },
          "quantity": {
            "type": "number",
            "minimum": 0
          },
          "shippingCost": {
            "type": "number"
          }
        },
        "required": [
          "convertedNetUnitPrice",
          "convertedShippingCost",
          "leadTime",
          "netUnitPrice",
          "quantity",
          "shippingCost"
        ]
      }
    },
    "purchaseOrderNumber": {
      "type": "string"
    },
    "digitalQuoteAcceptedBy": {
      "type": "string"
    },
    "digitalQuoteAcceptedByEmail": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "selectedLines"
  ]
}